# additional aliases
if [ -f "$HOME/.bash_private" ]; then
  . "$HOME/.bash_private"
fi
if [ -f "$HOME/.bash_aliases" ]; then
  . "$HOME/.bash_aliases"
fi

# saving aliases aliases
alias aliasm='alias |comm -13 <(grep -h ^alias ~/.bashrc ~/.bash_private | sort) -'
alias aliasd='aliasm |diff -u --color ~/.bash_aliases -'
alias aliasr='unalias -a; . ~/.bashrc'
alias aliass='aliasm > ~/.bash_aliases'

# ls aliases
alias ll='ls -lah --color=auto'
alias ls='ls --color=auto'
alias sl='ls --color=auto'
alias ks='ls --color=auto'
alias l='ls --color=auto'
alias s='ls --color=auto'

# cd aliases
alias cdp='cd ~/Programming'
alias cds='cd ~/services'
alias cdd='cd ~/Downloads'
alias cdt='cd ~/tmp'
alias cda='cd /run/media/$USER/'

# rm aliases
alias cleartmp='rm -r ~/tmp/*'

# grep aliases
alias grep='grep --color=auto'
alias fgrep='fgrep --color=auto'
alias egrep='egrep --color=auto'

# edit configs aliases
alias cfghypr='(nvim ~/.config/hypr)'
alias cfgkitty='(nvim ~/.config/kitty)'
alias cfgnvim='(nvim ~/.config/nvim)'
alias cfgrofi='(nvim ~/.config/rofi)'
alias cfgwaybar='(nvim ~/.config/waybar)'
alias cfgdunst='(nvim ~/.config/dunst)'
alias cfgyazi='(nvim ~/.config/yazi)'
alias cfgfastfetch='(nvim ~/.config/fastfetch)'
alias cfgbash='(nvim ~/.config/bash)'

# utils aliases
alias y='yazi'
alias py='python'
alias pyv='python --version'
alias clipclear='cliphist wipe'
alias scrcpy-def='scrcpy -S --no-audio -K'
alias hload='hyprctl reload'
alias shy='start-hyprland'
alias wifi-reload='nmcli r wifi off && nmcli r wifi on'
alias wifi-reload-off='nmcli r wifi off'
alias wifi-reload-on='nmcli r wifi on'
alias swagger-docs='sudo host-docs'
alias share='python3 -m http.server'
alias globalshare='(cd ~/Share && python3 -m http.server)'
alias download='aria2c -x16 -s16'
alias docker-enable='sudo systemctl start docker.service'
alias docker-disable='sudo systemctl stop docker.service && sudo systemctl stop docker.socket'
alias docker-status='sudo systemctl status docker.service'
alias sudo-gtk='sudo WAYLAND_DISPLAY="$WAYLAND_DISPLAY" XDG_RUNTIME_DIR="$XDG_RUNTIME_DIR"'

# kitty aliases
alias ssh='kitty +kitten ssh'
alias edit-in-kitty='kitten edit-in-kitty'

# yay/pacman aliases
alias pzf='yay -Qq | fzf --preview '\''yay -Qil {}'\'' --layout reverse --bind '\''enter:execute(yay -Qil {} | less)'\'' --bind '\''ctrl-r:execute(yay -R {} | less)'\'''
alias paclean='sudo pacman -Rs '

# fastfetch
alias fastfetch='python3 ~/.config/fastfetch/detect_os.py'
alias ff='python3 ~/.config/fastfetch/detect_os.py'

# fun aliases
alias mm='unimatrix -f -a -s 92 -l coo -c yellow'
alias mmbee='unimatrix -f -a -s 86 -u '\''bee'\'' -c yellow'
alias mmbeesquit='unimatrix -f -s 86 -u '\''beesquit'\'' -c yellow'
alias mmsnow='unimatrix -u ❄❆❅᪥𑁍⭒*❄❆❅᪥* -c white -a'
